<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFirstRevisionPosition Method (IEdmVersion5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVersion5 Interface : GetFirstRevisionPosition Method (IEdmVersion5)

Visual Basic
C#
C++/CLI
Starts an enumeration of the revisions of this version.

# Syntax

Visual Basic |
--- | ---

    Function GetFirstRevisionPosition() As IEdmPos5

C# |
--- | ---

    IEdmPos5 GetFirstRevisionPosition()

C++/CLI |
--- | ---

    IEdmPos5^ GetFirstRevisionPosition();

#### Return Value

IEdmPos5; position of the first revision in the enumeration

# Example

Get Revision Names for Local Version of File (C#)
Get Revision Names for Local Version of File (VB.NET)

# Remarks

After calling this method, pass the returned position of the first revision to IEdmVersion5::GetNextRevision to get the first revision in this list. Then call IEdmVersion5::GetNextRevision repeatedly to get the rest of the revisions.

C++ users not using smart-pointer wrapper functions must release the returned interface, IEdmPos5.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmVersion5 Interface
IEdmVersion5 Members
IEdmRevision5 Interface
IEdmEnumeratorVersion5::GetFirstRevisionPosition Method ()
IEdmVersion5::HasRevision Property ()

# Availability

SOLIDWORKS PDM Professional Version 5.2